jQuery.fn.rotate = function(degrees) {
    $(this).css({'transform' : 'rotate('+ degrees +'deg)'});
    return $(this);
};

$(document).ready(function(){
	
if ($('#hashpower').html() >= 1)  {
var angle = 0;
setInterval(function(){
      angle+=3;
     $("#gpu").rotate(angle);
},70);
}

if ($('#hashpower').html() >= 49)  {
var angle = 0;
setInterval(function(){
      angle+=3;
     $("#gpu").rotate(angle);
},20);
}

if ($('#hashpower').html() >= 199)  {
var angle = 0;
setInterval(function(){
      angle+=3;
     $("#gpu").rotate(angle);
},9);
}

if ($('#hashpower').html() >= 299)  {
var angle = 0;
setInterval(function(){
      angle+=3;
     $("#gpu").rotate(angle);
},3);
}


})